{% extends 'core/base.html' %}

{% block title %}Sign Up{% endblock %}

{% block content %}

<div class="max-w-lg mx-auto flex flex-wrap py-20 px-6 xl:px-0 bg-ctp-base">
  <div class="w-full border-4 border-ctp-pink p-6 rounded-xl text-center bg-ctp-crust">
    <h1
      class="mb-4 text-3xl bg-gradient-to-r from-ctp-pink to-ctp-lavender inline-block text-transparent bg-clip-text font-bold">
      Sign Up</h1>
    <form method="post" action=".">
      {% csrf_token %}
      <div>
        <input type="text" name="username" class="w-full mt-4 py-4 px-6 text-ctp-base bg-ctp-text rounded" placeholder="Username"></input>
        <input type="text" name="first_name" class="w-full mt-4 py-4 px-6 text-ctp-base bg-ctp-text rounded" placeholder="First Name"></input>
        <input type="text" name="last_name" class="w-full mt-4 py-4 px-6 text-ctp-base bg-ctp-text rounded" placeholder="Last Name"></input>
        <input type="email" name="email" class="w-full mt-4 py-4 px-6 text-ctp-base bg-ctp-text rounded" placeholder="Email"></input>
        <input type="password" name="password1" class="w-full mt-4 py-4 px-6 text-ctp-base bg-ctp-text rounded" placeholder="Password"></input>
        <input type="password" name="password2" class="w-full mt-4 py-4 px-6 text-ctp-base bg-ctp-text rounded" placeholder="Confirm Password"></input>
      </div>
      
      {% if form.errors %}
        {% for field in form %}
          {% for error in field.errors %}
            <div class="p-6 mt-4 bg-ctp-red text-ctp-base rounded">
              <p>{{ error|escape }}</p>
            </div>
          {% endfor %}
        {% endfor %}
        
        {% for error in form.non_field_errors %}
          <div class="p-6 mt-4 bg-ctp-red text-ctp-base rounded">
            <p>{{ error|escape }}</p>
          </div>
        {% endfor %}
      {% endif %}
      <div>
        <button
          class="inline-block mt-4 px-8 py-4 rounded-xl font-bold text-ctp-base bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:from-ctp-lavender hover:to-ctp-mauve">Sign
          Up</button>
      </div>
    </form>
  </div>
</div>
{% endblock %}
